%global git_date 20180203
%global git_commit 1ac8491396f27d6e4c6333a062fec9b5ac26dd5f

Name:		libsuperderpy	
Version:	%{git_date}
Release:	3%{?dist}
Summary:	Game engine written in C using Allegro 5

License:	GPLv2	
URL:		https://github.com/dos1/libsuperderpy
Source0:	%{URL}/archive/%{git_commit}/%{name}-%{git_commit}.tar.gz

# Sets an option to avoid using an rpath during install
# Without this, rpmbuild will complain about bad rpaths
Patch0:         %{name}-rpath-fix.patch


BuildRequires:	allegro5-devel >= 5.2.0
BuildRequires:	allegro5-addon-acodec-devel >= 5.2.0
BuildRequires:	allegro5-addon-audio-devel >= 5.2.0
BuildRequires:	allegro5-addon-image-devel >= 5.2.0
BuildRequires:	allegro5-addon-ttf-devel >= 5.2.0
BuildRequires:	allegro5-addon-video-devel >= 5.2.0
BuildRequires:	cmake
BuildRequires:	fftw-devel >= 3.3.0
BuildRequires:  mesa-libGL-devel


%description
%{name} is a game engine written in C using Allegro 5.


%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}
Requires: allegro5-devel >= 5.2.0
Requires: allegro5-addon-acodec-devel >= 5.2.0
Requires: allegro5-addon-audio-devel >= 5.2.0
Requires: allegro5-addon-image-devel >= 5.2.0
Requires: allegro5-addon-ttf-devel >= 5.2.0
Requires: allegro5-addon-video-devel >= 5.2.0
Requires: fftw-devel >= 3.3.0
Requires: mesa-libGL-devel
BuildArch: noarch

%description devel
Files required to develop programs using %{name}.


%prep
%setup -q -n %{name}-%{git_commit} 
%patch0


%build

mkdir build
cd build
cmake .. -DCMAKE_INSTALL_PREFIX=%{_prefix}
make DESTDIR=%{buildroot} %{?_smp_mflags}


%install
install -m 755 -d %{buildroot}%{_libdir}
install -m 755 build/src/%{name}.so %{buildroot}%{_libdir}/

install -m 755 -d %{buildroot}%{_includedir}/%{name}
install -m 644 src/*.h %{buildroot}%{_includedir}/%{name}/

%files
%license COPYING
%{_libdir}/%{name}.so

%files devel
%{_includedir}/%{name}


%changelog
* Mon Mar 05 2018 Iwicki Artur <fedora@svgames.pl> 20180203-3
- Add all build-time requirements of main package
  as run-time requirements of the -devel package

* Sat Feb 17 2018 Iwicki Artur <fedora@svgames.pl> 20180203-2
- Add missing allegro5-video and OpenGL dependencies

* Tue Feb 13 2018 Iwicki Artur <fedora@svgames.pl> 20180203-1
- Update to newest upstream snapshot
- Remove licence text from -devel (since it depends on main package)

* Sat Jan 20 2018 Iwicki Artur <fedora@svgames.pl> 20180120-1
- Update to newest upstream snapshot
- Remove the "wrap error messages" patch (accepted upstream)

* Sun Dec 17 2017 Iwicki Artur <fedora@svgames.pl> 20171121-2
- Add a patch to wrap long texts on the "fatal error" screen

* Sat Nov 25 2017 Iwicki Artur <fedora@svgames.pl> 20171121-1
- Update to newest upstream snapshot
- Add a devel subpackage

* Tue May 23 2017 Iwicki Artur <fedora@svgames.pl> 20161209-1
- Initial packaging

